## oxide-qt 1.4.2

=== debian/changelog ===
oxide-qt (1.4.2-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Update to v1.4.2 (see USN-2476-1)
    - Bump Chromium rev to 40.0.2214.91
    - Fix LP: #1297973 - Don't allow the BrowserContext to be deleted until
      the render thread is quit in single process mode
    - Fix LP: #1321969 - Add proper API for handling page closing:
      + Add WebView.prepareToClose() which runs the current page's
        beforeunload handler
      + Add WebView.prepareToCloseResponse signal, which tells the embedder
        whether a close should proceed
      + Add WebView.closeRequested signal, driven from window.close()
      + Ensure the current page's unload handler runs when a WebView is deleted
    - Fix LP: #1353143 - Add an API for saving and restoring the state of a
      WebView, used for session restore in the browser
    - Fix LP: #1374494 - Warnings when processing GPU blacklist
    - Fix LP: #1283291 - Cannot use multiple BrowserContexts in single-process
      mode. Make WebView.context read-only in single-process mode (all
      WebViews will use a default WebContext)
    - Fix LP: #1326115 - Disable WebView.incognito in single-process mode. It
      relies on using multiple BrowserContexts, which is not possible in
      single process
    - Fix LP: #1249147 - Use TCMalloc in the renderer process
    - Fix LP: #1389777 - More natural scrolling - tweak the gesture fling curve
    - Fix LP: #1398941 - Tidy up the LoadEvent sequence for failed loads
    - Fix LP: #1381558 - Fix crash in
      oxide::CompositorThreadProxy::SendSwapSoftwareFrameOnOwnerThread
    - Fix LP: #1402382 - Fix a potential memory leak because of a refcount race
    - Fix LP: #1398087 - Fix application crash when accessing
      navigator.webkitPersistentStorage.requestQuota
    - Really fix LP: #1391230 - Release the screen dim lock when the
      application becomes inactive
    - Turn pinch virtual viewport on for mobile form factors
    - Limit the maximum decoded image size on mobile
    - Remove the screen-dim lock when the application goes in to the background
      (and restore it when it comes back in to the foreground)
    - Don't create OTR BrowserContexts unnecessarily
    - Add an experimental API for changing the process model
      (Oxide.processModel)
    - Don't leak WebPreferences if the WebView is deleted without ever
      accessing WebView.preferences
    - Add support for component builds
  * Refresh gross-hack-for-dual-ffmpeg-build.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 15 Jan 2015 15:38:02 +0000

oxide-qt (1.3.4-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Update to v1.3.4
    - see USN-2410-1
    - Bump Chromium rev to 39.0.2171.62
    - Fix LP: #1260016 - Add support for application provided protocol
      handlers
    - Fix LP: #1301681 - Scroll the focused editable node in to view after
      a resize
    - Fix LP: #1337506 - Runtime abort with
      FATAL:texture_manager.cc(76)] Check failed: texture_count_ == 0u (1 vs. 0).
      Ensure that we keep the browser compositor GL context and associated
      resources alive as long as the Qt scenegraph holds the frontbuffer
    - Fix LP: #1377755 - Keyboard disappears when switching between text fields
    - Fix LP: #1290821 - WebView.loading is not false when receiving a LoadEvent
      with type == TypeStopped, so properties bound to this never receive an
      update. As "loading" and the main-frame document load events are delivered
      separately from blink, split this in to 2 signals
    - Fix LP: #1354382 - White line at bottom of viewport - fix rounding errors
      when calculating the view size in DIP which results in the view
      underflowing by a pixel in one axis and overflowing by a pixel in the
      other axis
    - Fix LP: #1221996 - Allow user scripts to be injected in to the main world
    - Expose redirect events to WebContextDelegateWorker
    - Fix LP: #1384460 - Delegate unhandled URL schemes to the system
    - Fix LP: #1386468 - Stop leaking V8 contexts
    - Fix LP: #1375900 - GMail crashes when composing a message
    - Fix LP: #1391230 - Release the screen dim lock when the application
      becomes inactive

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Add liboxideqtquick0 package
  * Refresh debian/patches/gross-hack-for-dual-ffmpeg-build.patch
  * Add libcups2-dev and libexif-dev build-deps, as the chromedriver build
    seems to pull them in. This is a temporary measure until we can figure
    out why

  [ Alexandre Abreu <alexandre.abreu@canonical.com> ]
  * Add chromedriver to the packaging branch

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 17 Nov 2014 11:39:34 +0000

oxide-qt (1.2.5-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Update to v1.2.5
    - see USN-2345-1
    - Bump Chromium rev to 38.0.2125.101
    - Fix LP: #1347924 - QProcess::waitForFinished() hangs - stop using
      ContentMainRunner for starting the browser code - it does things with
      process global state that are unexpected in a public library (eg,
      setting the SIGCHLD handler to the default which breaks QProcess because
      it relies on its own custom handler). We do still set the SIGPIPE action
      to SIG_IGN, but only if it is SIG_DFL when we start. We also abort if the
      SIGCHLD action is SIG_IGN when we initialize
    - Fix LP: #1214034:
      + Add API's to query the security status of the webview
        (WebView.securityStatus property + SecurityStatus and SslCertificate
        classes)
      + Add WebView.certificateError signal and CertificateError class to
        give the application a chance to allow certain SSL errors (some errors
        are non-overridable and this is enforced by Oxide - in which case, the
        signal only acts as a notification)
      + Add WebView.blockedContent property, which is a bitmask of content
        types that have currently been blocked - currently this only indicates

