## oxide-qt 1.5.5

=== debian/changelog ===
oxide-qt (1.5.5-0ubuntu1) vivid; urgency=medium

  * Update to v1.5.5
    - Bump Chromium rev to 41.0.2272.76
    - Fix LP: #1427828 - Crash in WebFrame.sendMessageNoReply
    - Fix LP: #1411159 - Add work-around for shutdown crash in
      content::GpuChannelHost::Send, by deliberately leaking the
      cc::ContextProvider referenced by any task posted to the UI thread if
      the task never got a chance to run and is destroyed when the main loop
      is torn down. Note that 1.6 has the longer term fix for this crash.
    - Fix LP: #1421339 - Two scrollbars shown on the phone at a page scale of 1.
      + This is fixed by disabling the outer viewport scrollbars when
        pinch-viewport is on (copying Chrome on Android).
      + Also style the pinch viewport overlay scrollbars like Chrome on Android,
        as opposed to using the default desktop style that are designed to be
        dragged with a pointer
    - Fix LP: #1423531 - LoadEvent.isError is false for the error page if the
      navigation is triggered from a session restore or reload

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 05 Mar 2015 09:10:41 +0000

oxide-qt (1.5.3-0ubuntu2) vivid; urgency=medium

  * Update to v1.5.3
    - Bump Chromium rev to 41.0.2272.53
    - Fix LP: #1402975 - set a minimum viewport width of 980px on mobile
      for sites that don't specify a viewport width. Fixes layout of some
      desktop sites, and matches the behaviour of Chrome on Android
    - Fix LP: #1412981 - Geolocation permission requests from subframes are
      not cancelled if the frame is deleted or navigated to another site
    - Fix LP: #1379776 - Spoof Android for the purposes of GPU feature
      blacklisting on the phone. This means accelerated 2d canvas is now
      enabled on all devices that Chrome enables it on (including the Nexus 4),
      and other GPU features (eg, GPU rasterization) are enabled on devices
      where Chrome supports it
    - Fix LP: #1370366 - Add LocationBarController API, which allows the
      renderer compositor to calculate the position of the browser top header.
      This enables the header to be animated in sync with the content on
      scrolling
    - Fix LP: #1408136 - Committed LoadEvents fire for subframe loads when
      they shouldn't
    - Fix LP: #1377198 - CertificateError is not cancelled if you stop the
      pending navigation
    - Fix LP: #1373383 - The video player on Youtube does not resize correctly
      when transitioning from landscape to portrait. Ensure we correctly
      update the screen geometry and orientation visible to web content when
      the device orientation changes, and turn on orientation events
    - Really fix LP: #1337506 - Abort with
      "FATAL:texture_manager.cc(76)] Check failed: texture_count_ == 0u (1 vs. 0)"
      on shutdown
    - Fix LP: #1398044 - Fails to build with Qt 5.4
    - Fix LP: #1249387 - Add experimental support for playing audio through
      mediahub with the HTML media elements (Off by default. Video and
      MediaSource are not yet implemented. Not built yet because it depends
      on packages in universe)
    - Fix LP: #1417042 - Remove inactive touch points from the current touch
      state when we process a new touch event
    - Fix LP: #1417963 - Adapt to behaviour change in handling of QVariants
      from QML to C++ in Qt 5.4
    - Update the form factor detection code to not rely on the EGL vendor for
      detecting that we're on a device - use the Android system properties
      instead
    - Tidy up WebContents ownership during unload by adding a new singleton
      responsible for handling unloading (WebContentsUnloader)
    - Refactor WebFrame to be based around RenderFrameHost rather than
      FrameTreeNode, which we aren't meant to be using
    - Call QDesktopServices::openUrl on the UI thread. Failures are no longer
      propagated back to the resource dispatcher, so all attempts to open a
      URL externally will result in the load being cancelled whether there
      is an external handler or not
  * Update debian/control to add extra build dependencies:
    - libandroid-properties-dev on armhf, used for gathering data for GPU
      feature blacklisting when running on the phone
  * Update debian/liboxideqtcore0.install to install V8 snapshot data
  * Drop oxideqmlscene - this was only necessary when qmlscene didn't support
    setting up a shared GL context

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 28 Jan 2015 14:08:55 +0000

oxide-qt (1.4.2-0ubuntu2) vivid; urgency=medium

  * Rebuild against Qt 5.4.0.
  * Add hack_qt540.patch to workaround Oxide bug.
  * Add qt54_variantjs.patch to fix LP: #1417963

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 06 Feb 2015 10:12:02 +0000

oxide-qt (1.4.2-0ubuntu1) vivid; urgency=medium

  * Update to v1.4.2
    - Bump Chromium rev to 40.0.2214.91
    - Fix LP: #1297973 - Don't allow the BrowserContext to be deleted until
      the render thread is quit in single process mode
    - Fix LP: #1321969 - Add proper API for handling page closing:
      + Add WebView.prepareToClose() which runs the current page's
        beforeunload handler
      + Add WebView.prepareToCloseResponse signal, which tells the embedder
        whether a close should proceed
      + Add WebView.closeRequested signal, driven from window.close()
      + Ensure the current page's unload handler runs when a WebView is deleted
    - Fix LP: #1353143 - Add an API for saving and restoring the state of a
      WebView, used for session restore in the browser
    - Fix LP: #1374494 - Warnings when processing GPU blacklist
    - Fix LP: #1283291 - Cannot use multiple BrowserContexts in single-process
      mode. Make WebView.context read-only in single-process mode (all
      WebViews will use a default WebContext)
    - Fix LP: #1326115 - Disable WebView.incognito in single-process mode. It
      relies on using multiple BrowserContexts, which is not possible in

