=== debian/control ===
--- 
+++ 
@@ -42,7 +42,8 @@
     libexif-dev,
     libxcursor-dev,
     libxrandr-dev,
-    libxtst-dev
+    libxtst-dev,
+    libandroid-properties-dev [armhf]
 Standards-Version: 3.9.5
 Homepage: https://launchpad.net/oxide
 
@@ -83,18 +84,6 @@
  .
  This package provides the QML plugin required to run QML applications with
  Oxide
-
-Package: oxideqmlscene
-Section: misc
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Web browser engine library for Qt (QML application runner)
- Oxide is a web browser engine library based on Google Chromium, that makes
- it easy to embed web content in your Qt application
- .
- This package provides an application runner which is similar to qmlscene,
- required to run QML applications with Oxide if you require support for
- accelerated compositing
 
 Package: oxideqt-dbg
 Architecture: any
